<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<ViewModel>" %>
<%@ Import Namespace="System.Linq" %>
<%@ Import Namespace="System.Web.Mvc" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<%@ Import Namespace="EPiServer.Samples.XFormSearch.Models" %>
<fieldset>
    <legend>
        <%=LanguageHelper.Translate("/xformsearchgadget/searchInput/title")%></legend>
    <div>
        <input type="hidden" name="formId" value="<%= Model.SelectedFormId  %>" />
        <table class="epi-simple">
            <thead>
                <tr>
                    <th>
                        <%=LanguageHelper.Translate("/xformsearchgadget/searchInput/fieldlabelcolumnheading")%>
                    </th>
                    <th>
                        <%=LanguageHelper.Translate("/xformsearchgadget/searchInput/searchcriteriacolumnheading")%>
                    </th>
                    <th>
                        <%=LanguageHelper.Translate("/xformsearchgadget/searchInput/searchvaluecolumnheading")%>
                    </th>
                </tr>
            </thead>
            <tbody>
                <% 
                    foreach (InputControlDescriptor field in Model.SelectedFormFields)
                    {
                %>
                <tr>
                    <td>
                        <%=field.Label%>
                    </td>
                    <td>
                        <%            
                            switch (field.InputType)
                            {
                                case EPiServer.Samples.XFormSearch.Models.InputType.FreeText:
                                case EPiServer.Samples.XFormSearch.Models.InputType.SingleSelection:
                                    Response.Write(Html.DropDownList(SearchInputHelper.GenerateControlName(field.Name, ControlNameQualifier.SearchRequirement), SearchInputHelper.GenerateSeachRequirementListItems(field.InputType)));
                                    break;

                                case EPiServer.Samples.XFormSearch.Models.InputType.DateRange:
                                    Response.Write(Html.DropDownList(SearchInputHelper.GenerateControlName(field.Name, ControlNameQualifier.SearchRequirement), SearchInputHelper.GenerateSeachRequirementListItems(field.InputType), new System.Collections.Generic.Dictionary<string, object>() { { "class", "datetimesearchcriteria" } }));
                                    break;

                                case EPiServer.Samples.XFormSearch.Models.InputType.MultiSelection:
                                    for (int i = 0; i < field.OptionPairs.Count; i++)
                                    {
                                        var pair = field.OptionPairs[i];
                                        Response.Write(Html.DropDownList(SearchInputHelper.GenerateControlName(field.Name, ControlNameQualifier.SearchRequirement, i), SearchInputHelper.GenerateSeachRequirementListItems(field.InputType)));
                                        Response.Write("<br />");
                                    }
                                    break;
                            }            
                        %>
                    </td>
                    <td>
                        <%            
                            switch (field.InputType)
                            {
                                case EPiServer.Samples.XFormSearch.Models.InputType.FreeText:
                                    Response.Write(Html.TextBox(SearchInputHelper.GenerateControlName(field.Name, ControlNameQualifier.Input)));
                                    break;

                                case EPiServer.Samples.XFormSearch.Models.InputType.SingleSelection:
                                    var listItems = from pair in field.OptionPairs
                                                    select new SelectListItem()
                                                    {
                                                        Text = pair.Key,
                                                        Value = pair.Value
                                                    };
                                    Response.Write(Html.DropDownList(SearchInputHelper.GenerateControlName(field.Name, ControlNameQualifier.Input), listItems));
                                    break;

                                case EPiServer.Samples.XFormSearch.Models.InputType.MultiSelection:
                                    for (int i = 0; i < field.OptionPairs.Count; i++)
                                    {
                                        var pair = field.OptionPairs[i];
                                        Response.Write(pair.Key);
                                        Response.Write(Html.Hidden(SearchInputHelper.GenerateControlName(field.Name, ControlNameQualifier.Input, i), pair.Value));
                                        Response.Write("<br />");

                                    }
                                    break;

                                case EPiServer.Samples.XFormSearch.Models.InputType.DateRange:
                                    string searchRequirementControlName = SearchInputHelper.GenerateControlName(field.Name, ControlNameQualifier.SearchRequirement);
                                    string searchInput1ControlName = SearchInputHelper.GenerateControlName(field.Name, ControlNameQualifier.Input);
                                    string searchInput2ControlName = SearchInputHelper.GenerateControlName(field.Name, ControlNameQualifier.Input2);

                                    // Cannot use Html.TextBox on the following two controls as the JQuery UI Date Picker control does not tolerate the control having an Id
                                    Response.Write(string.Format("<input type='text' class='datetime' name='{0}' />", searchInput1ControlName));
                                    Response.Write(string.Format("<span style='display:none'>&nbsp;&nbsp;{0}&nbsp;&nbsp;<input type='text' class='datetime' name='{1}' /></span>", LanguageHelper.Translate("/xformsearchgadget/searchInput/and"), searchInput2ControlName));
                                    Response.Write(string.Format("<input type='hidden' class='datetimeRangeControls' value='{0}|{1}|{2}' />", searchRequirementControlName, searchInput1ControlName, searchInput2ControlName));
                                    break;
                            }            
                        %>
                    </td>
                </tr>
                <%
                    }           
                %>
            </tbody>
        </table>
    </div>
    <div id="ValueRequiredLabel" style="display: none; color: Red">
        <%=LanguageHelper.Translate("/xformsearchgadget/searchInput/valuerequired")%></div>
</fieldset>
<fieldset>
    <legend>
        <%=LanguageHelper.Translate("/xformsearchgadget/output/title")%></legend>
    <div>
        <table class="epi-simple">
            <thead>
                <tr>
                    <th>
                        <%=LanguageHelper.Translate("/xformsearchgadget/output/formatcolumnheading")%></legend>
                    </th>
                    <th>
                        <%=LanguageHelper.Translate("/xformsearchgadget/output/sortcolumnheading")%></legend>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <div class="epi-size10">
                            <%=Html.LabeledRadioButton("resultOption", LanguageHelper.Translate("/xformsearchgadget/output/showcountandresults"), SearchResultOption.ShowResults, true)%>
                        </div>
                        <div class="epi-size10">
                            <%=Html.LabeledRadioButton("resultOption", LanguageHelper.Translate("/xformsearchgadget/output/createcsvfile"), SearchResultOption.CreateCsv, false)%>
                        </div>
                        <div class="epi-size10">
                            <%=Html.LabeledRadioButton("resultOption", LanguageHelper.Translate("/xformsearchgadget/output/createxmlfile"), SearchResultOption.CreateXml, false)%>
                        </div>
                        <div class="epi-size10">
                            <%=Html.LabeledRadioButton("resultOption", LanguageHelper.Translate("/xformsearchgadget/output/showcountonly"), SearchResultOption.ShowCountOnly, false)%>
                        </div>
                    </td>
                    <td>
                        <div class="epi-size10">
                            <%=Html.LabeledDropDownList("sortBy", LanguageHelper.Translate("/xformsearchgadget/output/sortby"), Model.ResultsSortByOptions)%>
                        </div>
                        <div class="epi-size10">
                            <%=Html.LabeledDropDownList("sortOrder", LanguageHelper.Translate("/xformsearchgadget/output/sortorder"), Model.ResultsSortOrderOptions)%>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</fieldset>
