<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<ViewModel>" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<%@ Import Namespace="EPiServer.Samples.XFormSearch.Models" %>
<%
    if (Model.CurrentState != SearchState.NotSearching)
    {%>
<fieldset>
    <legend>
        <%=LanguageHelper.Translate("/xformsearchgadget/results/title")%></legend>
    <input id="currentPage" name="currentPage" type="hidden" value="<%=Model.ResultsPage%>" />
    <div>
        <%              if (Model.CurrentState == SearchState.CountAndResults)
                        {
                            if (Model.Results.Count() > 0)
                            {
        %>
        <table class="epi-simple">
            <thead>
                <tr>
                    <%
                        foreach (InputControlDescriptor field in Model.SelectedFormFields)
                        {
                            Response.Write("<th>");
                            Response.Write(field.Label);
                            Response.Write("</th>");
                        }%>
                </tr>
            </thead>
            <tbody>
                <%
            
                    foreach (var result in Model.Results)
                    {
                        Response.Write("<tr>");

                        foreach (InputControlDescriptor field in Model.SelectedFormFields)
                        {
                            Response.Write("<td>");
                            Response.Write(result[field.Name]);
                            Response.Write("</td>");
                        }

                        Response.Write("</tr>");
                    }
                %>
            </tbody>
        </table>
        <div class="epi-padding-small">
            <%
                int pages = Model.ResultCount / Model.ResultsPerPage;

                if (Model.ResultCount % Model.ResultsPerPage > 0)
                {
                    pages++;
                }                   
            %>
            <input id="pageCount" type="hidden" value="<%=pages%>" />
            <%=String.Format(LanguageHelper.Translate("/xformsearchgadget/results/pagexofy"), Model.ResultsPage, pages)%>
            <span class="epi-padding-small">
                <%=Html.ShellLinkButton("#", "", LanguageHelper.Translate("/xformsearchgadget/results/firstpage"), "<<", "xformSearchFirstPage", new { @onclick = "xformSearch.showResultsFirstPage(this);" })%>
                <%=Html.ShellLinkButton("#", "", LanguageHelper.Translate("/xformsearchgadget/results/prevpage"), "<", "xformSearchPreviousPage", new { @onclick = "xformSearch.showResultsPreviousPage(this);" })%>
                <%=Html.ShellLinkButton("#", "", LanguageHelper.Translate("/xformsearchgadget/results/nextpage"), ">", "xformSearchNextPage", new { @onclick = "xformSearch.showResultsNextPage(this);" })%>
                <%=Html.ShellLinkButton("#", "", LanguageHelper.Translate("/xformsearchgadget/results/lastpage"), ">>", "xformSearchLastPage", new { @onclick = "xformSearch.showResultsLastPage(this);" })%></span>
            <span class="epi-padding-small">
                <%=LanguageHelper.Translate("/xformsearchgadget/results/gotopage")%>
                <%=Html.TextBox("goToPage")%>
                <%=Html.ShellLinkButton("#", "", "", LanguageHelper.Translate("/xformsearchgadget/results/ok"), "xformSearchGoToPage", new { @onclick = "xformSearch.showResultsPage(this);" })%>
                <span id="invalidPageNumber" style="display: none; color: Red">
                    <%=LanguageHelper.Translate("/xformsearchgadget/results/invalidpagenumber")%>
                </span></span>
        </div>
        <%}
                        }%>
        <div class="epi-padding-small">
            <%=Model.ResultCount%>
            <%=LanguageHelper.Translate("/xformsearchgadget/results/matchesfound")%>
        </div>
    </div>
</fieldset>
<%} %>
